function BCTassortativity(inputdatapath,outPath)
FolderNamelist=dir(inputdatapath);
[Fm Fn]=size(FolderNamelist);
for FolderNum=1:Fm
FolderName= FolderNamelist(FolderNum,1).name
if FolderName ~= '.'
dataPath=strcat(inputdatapath,'\',FolderName);
readlist=dir(strcat(dataPath,'\*.mat'));
[m n]=size(readlist);
for i = 10:34
    % filenum=1:m
       matName  =  strcat('BBSortCon',num2str(i),'.mat');
        matPath=strcat(dataPath,'\',matName);
%fileName=readlist(filenum,1).name;
%matPath=strcat(dataPath,'\',fileName);
A=importdata(matPath);
r = assortativity(A,0);
B(i-9,FolderNum-2)=r;
end
save(strcat(outPath,'\assortativity.mat'),'B')
end

end
